문서로 건너뛰기
API

스레드의 메모 정렬

모든 메모, 처음부터 끝까지.

POST/threads/{id}/notes/reorder

워크스페이스에 실제 호출을 실행합니다.

POST /threads/{id}/notes/reorder

모든 메모, 처음부터 끝까지.

예시

threads:write가 필요합니다. ids는 스레드의 모든 메모를 원하는 순서로 정확히 한 번씩 적습니다. 고정된 메모는 여전히 먼저입니다. 새 순서의 메모로 응답합니다.

curl
curl -X POST "$OE/threads/thr_7c1e4a90/notes/reorder" -H "$AUTH" -H "Content-Type: application/json" \  -d '{ "ids": ["b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d", "0f6e2a1b-9c8d-4e7f-a1b2-c3d4e5f6a7b8"] }'
응답
{  "object": "list",  "data": [{      "object": "note",      "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",      "threadId": "thr_7c1e4a90",      "content": "Waiting on the signed contract before replying.",      "color": "yellow",      "pinned": true,      "order": 4,      "createdAt": "2026-09-30T09:12:44.000Z",      "updatedAt": "2026-09-30T09:12:44.000Z"    }]}

메모를 빠뜨리거나, 하나를 두 번 적거나, 다른 스레드의 메모를 적은 목록은 ids에 대한 422 invalid_parameter이며, 아무것도 움직이지 않습니다.

레퍼런스